<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">

    <ui:define name="content">
        <h:form id="form">
            <p:dataTable var="category" value="#{categoryBean.categories()}"
                         rows="12" paginator="true" id="categories" paginationPosition="bottom"
                         paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                <p:column headerText="#" width="50">
                    <h:outputText value="#{rowIndex + 1}"/>
                </p:column>
                <p:column headerText="Name">
                    <h:outputText value="#{category.name}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-eye buttons"
                                   ajax="false"
                                   action="#{categoryBean.viewCategory(category)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-pencil buttons"
                                   ajax="false"
                                   action="#{categoryBean.editCategory(category)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-trash buttons"
                                   action="#{categoryBean.deleteCategory(category)}"
                                   update="categories">
                        <p:confirm header="Delete category"
                                   message="Delete category with name: #{category.name}?"
                                   icon="pi pi-exclamation-triangle"/>
                    </p:commandLink>
                </p:column>
            </p:dataTable>
        </h:form>
        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
            <p:commandButton value="Yes" type="button" styleClass="ui-confirmdialog-yes"/>
            <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no"/>
        </p:confirmDialog>
        <p:linkButton outcome="#{categoryBean.createCategory()}" styleClass="buttons" value="Create"/>
    </ui:define>

</ui:composition>
